Licel Data Acquisition and Processing Software

Licel Logo

TCP/IP Version for Ethernet Based Systems

Ethernet Socket You shall use the Ethernet based software if your Licel hardware is equipped with an ethernet socket.


Important Note: Customers with at least one transient recorder shipped before October 2009 must add for each old transient recorder the following initialization file key to the acquis.ini file when using the TCP/IP 2.44 (Windows or LabVIEW) software or higher:
[TR0]
PC_Device=FALSE
[TR1]
PC_Device=FALSE
...
Windows Applications

TCP/IP 3.00.01 Windows Installer (44.6 MB)

The Licel Windows applications are installed by running a Windows Installer package (Licel TCPIP Acquisition Software) for easy installation. They require the LabVIEW Runtime Engine 2016 (32 bit) on Windows 7, 8 or 10. For LabVIEW compatibility with Windows please refer to https://www.ni.com/en-us/support/documentation/compatibility/17/labview-and-microsoft-windows-compatibility.html. The Windows installer has been tested with Windows 7 and 10. The LabVIEW Runtime Engine must be installed before running the TCP/IP 3.00.01 Windows Installer. The LabVIEW Runtime Engine 2016 can be downloaded at https://www.ni.com/en-us/support/downloads/software-products/download.labview.html#359550. You will need to register at NI for free. If the Licel TCPIP Acquisition Software 2.70.00 or higher has already been installed earlier from a Licel CD-ROM the LabVIEW Runtime Engine 2016 has been installed, as well. Download the Windows Installer package if you don't want to modify the Licel software or don't have LabVIEW 2016 or higher. Unzip the downloaded file and run setup.exe to install the software. Change List.

TCP/IP < 2.70.00 Windows Installer

If you own a legacy Licel TCPIP Windows Installer older than version 2.70.00 the LabVIEW Runtime Engine 2010 SP1 (32 bit) is needed on Windows XP, Vista, or 7. For LabVIEW compatibility with Windows please refer to https://www.ni.com/en-us/support/documentation/compatibility/17/labview-and-microsoft-windows-compatibility.html. The LabVIEW Runtime Engine must be installed before running the TCP/IP Windows Installer. The LabVIEW Runtime Engine 2010 SP1 can be downloaded at https://www.ni.com/en-us/support/downloads/software-products/download.labview.html#306228. You will need to register at NI for free. Change List.
Linux Applications

TCP/IP 3.00.01 applications for Linux (36.9 MB)

The TCP/IP 3.00.01 applications for Linux have been build in LabVIEW 2020 (64 bit) for Linux. They require the LabVIEW Runtime Engine 2020 (64 bit) for Linux and a Linux operating system compatible with the LabVIEW Runtime Engine 2020. For LabVIEW compatibility with Linux please refer to https://www.ni.com/en-us/support/documentation/compatibility/20/labview-and-linux-os-compatibility.html. The binaries have been tested with openSUSE Leap 15.2. The LabVIEW Runtime Engine 2020 SP1 can be downloaded at https://www.ni.com/en-us/support/downloads/software-products/download.labview.html#370012.
LabVIEW Sources

TCP/IP 3.00.01 (19.1 Mb) for LabVIEW 2016

The LabVIEW sources of the Licel TCP/IP version require LabVIEW 2016 Base Package or higher. Change List

TCP/IP 2.62.04 (15.7 Mb) for LabVIEW 2010

LabVIEW sources of the TCP/IP version for LabVIEW 2010 Base Package.. Download this package if you have LabVIEW 2010 or higher but not LabVIEW 2016 or higher. Further development has been terminated for this version.

TCP/IP 2.44c (11.7 Mb) for LabVIEW 7.0

LabVIEW sources of the TCP/IP version for LabVIEW 7.0 Base Package. Download this package if you have LabVIEW 7.0 or higher but not LabVIEW 2010 or higher. Further development has been terminated for this version.

TCP/IP 1.46 (3.4 MB) for LabVIEW 6.0

LabVIEW sources of the TCP/IP version for LabVIEW 6.0 Base Package. Download this package if you have LabVIEW 6.0 or higher but not LabVIEW 7.0 or higher. Further development has been terminated for this version.
C and VB Support

C Driver

Socket based driver for Windows (MS-VC) and Linux (gcc).

VB.net Driver

The Visual Basic.net driver is only sold on request.(Last time in 2005)


Back to index